using System;
class HelloWorld 
{
    static void Main() 
    {
        string[] s = Console.ReadLine().Split(' ');
        int a = int.Parse(s[0]);
        int b = int.Parse(s[1]);
        s = Console.ReadLine().Split(' ');
        int x = int.Parse(s[0]);
        int y = int.Parse(s[1]);
        
        if(a == x && b == y)
        {
            Console.WriteLine("nijedan");
        }
        else if(a == x)
        {
            Console.WriteLine("drugi");
        }
        else if(b == y)
        {
            Console.WriteLine("prvi");
        }
        else
        {
            Console.WriteLine("?");
        }
    }
}